## glite-lb-types 1.3.1

=== Makefile ===
stagedir=../stage
top_srcdir=.

-include Makefile.inc


PM=StructField.pm MultiStruct.pm
T=events.T status.T types.T
SCRIPTS=at3 check_version.pl

default: compile

compile:

stage: compile
	$(MAKE) install PREFIX=${stagedir}

install: compile
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/perl/gLite/LB ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/at3 ${DESTDIR}${PREFIX}${prefix}/sbin
	for p in ${PM} ; do \
		install -m 644 ${top_srcdir}/$$p ${DESTDIR}${PREFIX}${prefix}/share/perl/gLite/LB; \
	done
	for p in ${T} ; do \
		install -m 644 ${top_srcdir}/$$p ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/at3; \
	done
	install -m 755 ${top_srcdir}/at3.in ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-at3
	install -m 755 ${top_srcdir}/check_version.pl ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-check_version.pl
	
clean:

distclean:
	rm -rvf Makefile.inc *.spec debian/

check:

.PHONY: default compile stage install check clean distclean

=== debian/changelog ===
glite-lb-types (1.3.1-4) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:38:01 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.types
	touch $@

build: build-indep

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

## glite-lb-types 1.4.2

=== Makefile ===
stagedir=../stage
top_srcdir=.
package=glite-lb-types

default: all

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

globalprefix=glite
lbprefix=lb

SOURCES=interface/*.h at3.in *.pm *.T check_version.pl Makefile
SOURCES_EXEC=at3.in check_version.pl

PM=StructField.pm MultiStruct.pm
T=events.T status.T types.T
SCRIPTS=at3 check_version.pl
HDRS=lb_types.h

all: compile

compile:

stage: compile
	$(MAKE) install PREFIX=${stagedir}

install: compile
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/perl/gLite/LB ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/at3 ${DESTDIR}${PREFIX}${prefix}/sbin ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
	for p in ${PM} ; do \
		install -m 644 ${top_srcdir}/$$p ${DESTDIR}${PREFIX}${prefix}/share/perl/gLite/LB; \
	done
	for p in ${T} ; do \
		install -m 644 ${top_srcdir}/$$p ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/at3; \
	done
	install -m 755 ${top_srcdir}/at3.in ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-at3
	install -m 755 ${top_srcdir}/check_version.pl ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-check_version.pl
	(cd ${top_srcdir}/interface && install -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) 
	
clean:
	rm -rvf dist ${package}-*.tar.gz

distclean:
	rm -rvf Makefile.inc *.spec debian/

check:

.PHONY: default all compile stage install check clean distclean dist distcheck

=== debian/changelog ===
glite-lb-types (1.4.2-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

## glite-lb-types 2.0.5

=== debian/changelog ===
glite-lb-types (2.0.5-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 25 Jan 2013 17:19:32 +0100

## glite-lb-types 2.0.7

=== Makefile ===
stagedir=../stage
top_srcdir=.
package=glite-lb-types

default: all

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

globalprefix=glite
lbprefix=lb
perlinstalldir=$(shell eval `perl -V:installvendorlib`; echo $$installvendorlib)

VPATH=${top_srcdir}

SOURCES=interface/*.h at3.in *.pm *.T check_version.pl Makefile
SOURCES_EXEC=at3.in check_version.pl

PM=StructField.pm MultiStruct.pm
T=events.T status.T types.T
SCRIPTS=at3 check_version.pl
HDRS=lb_types.h

all: compile

compile: at3

at3: at3.in
	sed -e 's:@prefix@:${PREFIX}${prefix}:' -e 's:@perlinstalldir@:${PREFIX}${perlinstalldir}:' $< > $@ || ( rm -f $@; false )
	chmod +x $@

stage: compile
	$(MAKE) install PREFIX=${stagedir}

install: compile
	mkdir -p ${DESTDIR}${PREFIX}${perlinstalldir}/gLite/LB ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/at3 ${DESTDIR}${PREFIX}${prefix}/bin ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
	for p in ${PM} ; do \
		install -m 644 ${top_srcdir}/$$p ${DESTDIR}${PREFIX}${perlinstalldir}/gLite/LB; \
	done
	for p in ${T} ; do \
		install -m 644 ${top_srcdir}/$$p ${DESTDIR}${PREFIX}${prefix}/share/glite-lb/at3; \
	done
	install -m 755 ${top_srcdir}/at3 ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-at3
	install -m 755 ${top_srcdir}/check_version.pl ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-check_version.pl
	(cd ${top_srcdir}/interface && install -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) 
	
clean:
	rm -fv at3
	rm -rvf dist ${package}-*.tar.gz

distclean:
	rm -rvf project/changelog Makefile.inc *.spec debian/

check:

.PHONY: default all compile stage install check clean distclean dist distcheck

=== debian/changelog ===
glite-lb-types (2.0.7-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:05 +0200

=== debian/control ===
Source: glite-lb-types
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: devel
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-types
Section: devel
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: Auxiliary build-time component defining LB event types and job status fields
 Auxiliary build-time component defining LB event types and job status
 fields.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -40,13 +40,14 @@
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
 	dh_installlogrotate
 	dh_installcron
 	dh_install --fail-missing
+	dh_perl
 	dh_link
 	dh_compress
 	dh_fixperms

## glite-lb-types 2.0.8

=== debian/changelog ===
glite-lb-types (2.0.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:43 +0100

## glite-lb-types 2.0.10

=== debian/changelog ===
glite-lb-types (2.0.10-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,8 @@
 Standards-Version: 3.9.1
 Section: devel
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: glite-lb-types
-Section: devel
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Description: Auxiliary build-time component defining LB event types and job status fields

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -f Makefile.inc config.status *.spec

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.types/glite-lb-types-(.*)\.tar\.gz
